Bug 1808330 - lpf requires Python 2 to build
Summary: lpf requires Python 2 to build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lpf
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alec Leamas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27
TreeView+ depends on / blocked
 
Reported: 2020-02-28 09:33 UTC by Petr Viktorin
Modified: 2020-09-25 16:55 UTC (History)
3 users (show)

Fixed In Version: lpf-0.2-14.f1f5dd9.fc32 lpf-0.2-14.f1f5dd9.fc31 lpf-0.2-14.f1f5dd9.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-19 22:38:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-28 09:33:52 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like lpf, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.

Switching to Python 3 seemed easy to me (though I don't necessarily
know much about lpf). So I opened a pull request: https://src.fedoraproject.org/rpms/lpf/pull-request/1

Could you merge it?
If not, if it's possible that the Python 2 build dependency won't get
removed in Fedora 33, please let us know; the package will need
a FESCo exception.

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Ben Cotton 2020-08-11 13:11:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 2 Fedora Update System 2020-09-11 19:24:31 UTC
FEDORA-2020-0446826a53 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0446826a53

Comment 3 Fedora Update System 2020-09-11 19:24:54 UTC
FEDORA-2020-320d1e5fb4 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-320d1e5fb4

Comment 4 Fedora Update System 2020-09-11 19:25:24 UTC
FEDORA-2020-1d84e5b41e has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1d84e5b41e

Comment 5 Fedora Update System 2020-09-12 15:10:31 UTC
FEDORA-2020-0446826a53 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-0446826a53`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0446826a53

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-09-12 16:40:23 UTC
FEDORA-2020-1d84e5b41e has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-1d84e5b41e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1d84e5b41e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-09-12 17:18:10 UTC
FEDORA-2020-320d1e5fb4 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-320d1e5fb4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-320d1e5fb4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-09-19 22:38:27 UTC
FEDORA-2020-320d1e5fb4 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-09-19 22:44:55 UTC
FEDORA-2020-1d84e5b41e has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-09-25 16:55:32 UTC
FEDORA-2020-0446826a53 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.